Skip to main content
POST
Rotate a webhook signing secret

Authorizations

Authorization
string
header
required

Your API key, e.g. sk_live_... or sk_test_....

Headers

Idempotency-Key
string

Optional. Makes this write safe to retry: the same key replays the first response instead of acting twice.

Maximum string length: 255

Path Parameters

webhook
integer
required

Endpoint id.

Response

Secret rotated.

secret
string
required

New signing secret. Shown once.

id
integer
url
string
description
string | null
is_active
boolean
subscribed_events
enum<string>[]

Empty means every event.

Available options:
message.received,
message.queued,
message.sent,
message.delivered,
message.read,
message.played,
message.failed,
message.deleted,
message.edited,
message.echo,
reaction.received,
conversation.started,
commerce.order,
payment.captured,
payment.failed,
payment.refunded,
payment.order_status_updated,
template.pending,
template.approved,
template.rejected,
template.paused,
template.disabled,
template.category_changed,
template.quality_changed,
template.updated,
template.deleted,
marketing.link_clicked,
otp.requested,
otp.verified,
otp.failed,
contact.updated,
contact.opted_in,
contact.opted_out,
phone_number.updated,
phone_number.quality_changed,
connection.connected,
connection.attention_required,
connection.disconnected,
account.updated,
flow.published,
flow.failed,
flow.response_received,
flow.status_changed,
workflow.started,
workflow.completed,
workflow.failed,
campaign.started,
campaign.completed,
campaign.failed,
call.received,
call.ended,
call.failed,
call.permission_request,
call.recording_available,
call.transcript_available,
conversion.detected,
customer.created,
customer.updated,
customer.suspended,
customer.archived,
customer.deleted,
customer.connected,
customer.usage_alert,
setup_link.failed,
address.received,
contact.identity_changed,
group.created,
group.updated,
group.deleted,
group.participants_changed,
group.join_requested,
group.suspended
custom_headers
object
phone_number_restrictions
string[]
timeout_seconds
integer
max_attempts
integer
api_version
string
consecutive_failures
integer
paused_at
string<date-time> | null

Set when repeated failures auto-paused the endpoint.

created_at
string<date-time> | null
pause_reason
string | null

Why deliveries stopped. Set when LazyApp auto-paused the endpoint after repeated failures.